Package org.gradle.tooling.events.configuration

## Interface ProjectConfigurationProgressEvent

- All Superinterfaces:
    `ProgressEvent`
  All Known Subinterfaces:
    `ProjectConfigurationFinishEvent`, `ProjectConfigurationStartEvent`

      public interface ProjectConfigurationProgressEvent
      extends ProgressEvent

  Root interface for all events that signal progress while configuring a project.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProjectConfigurationOperationDescriptor` | `getDescriptor()` | Returns the description of the project configuration operation for which progress is reported.

    - ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

      `getDisplayName, getEventTime`

- - ### Method Detail

    - #### getDescriptor

          ProjectConfigurationOperationDescriptor getDescriptor()

      Returns the description of the project configuration operation for which progress is reported.
      Specified by:
        `getDescriptor` in interface `ProgressEvent`
      Returns:
        The description of the underlying project configuration operation.